Subject: Re: git-svn mirror in bare repo

From: Michael J Gruber <[email-masked]>
Date: Mon, 23 Aug 2010 14:58:51 +0200

Enrico Weigelt venit, vidit, dixit 23.08.2010 14:24:
> 
> Hi folks,
> 
> is it possible to use git-svn w/ an bare repository (eg. using
> an temporary workdir when necessary or directly creating tree
> and commit objects w/o going through workdir at all) ?

No.

> I'm running a dozen of mirrors (also from cvs), some from fairly
> large and I'd like to get rid of the working copies.

Your only option is a different conversion tool. GSoC resulted in a lot
of code in this direction, but I'm not sure it can do without a workdir.
It is based on svndump

Michael